/*
 * Init.h
 *
 * Created: 2020
 */ 


#ifndef INIT_H_
#define INIT_H_

//Initialize the Microcontroller
void Init (void) {
	//Port settings
	//0 = Input, 1 = Output
	DDRB = 0b00100011; //00n.n,1LED,0IR-Sens,0Color2,0Line-L,11MotorA&B
	DDRC = 0b00100000; //00n.n.,1US-Trig,0Line-R,00Dist1&2,00Line-R&LA
	DDRD = 0b01101000; //0Color-1,11PWMA&B,0Line-M,1Servo,0Echo,0TX,0RX
	//Timer2 Time divider
	TCCR2A = 0b00000000; //0000Normal port operation,00unimpl.,00WGM2[1:0]
	TCCR2B = 0b00000010; //0WGM22,010Prescaler 1:8
	TIMSK2 = 0b00000001; //Interrupt at TMR2-OVFL, 128us
}

#endif /* INIT_H_ */